Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.servlet.security
Class ServletAuthentication

    java.lang.Object
      |
      +--weblogic.servlet.security.ServletAuthentication

public class ServletAuthentication
extends java.lang.Object

ServletAuthentication allows both form-based authentication and programmatic authentication in servlets. It performs the authentication call through the Realm and sets the user information into the session. The weak() methods are for password authentication and the strong() methods are for certificate-based authentication. The later being only available through two-way SSL connections, based on the client certificate chain.

Author:
  Copyright (c) 1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 2000 by BEA Systems. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `examples.security.formauth`

Field Summary
`static int` | `AUTHENTICATED` Return value of a successful authentication
`static int` | `FAILED_AUTHENTICATION` Return value of an unsuccessful authentication
`static int` | `NEEDS_CREDENTIALS` Deprecated.

Constructor Summary
`ServletAuthentication(java.lang.String usernameField, java.lang.String passwordField)` Constructs a ServletAuthentication object which will look for specific form fields inside the HttpRequest for the username and password.

Method Summary
`void` | `done(javax.servlet.http.HttpServletRequest request)` This "logs out" the user information in the session by removing the pertinent data from the session, without losing other session data.
`int` | `strong(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Strong authentication using the client-side certificate chain as the credential for authentication against the "weblogic" (default) realm.
`int` | `strong(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String realmName)` Strong authentication using the client-side certificate chain as the credential for authentication.
`int` | `weak(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Returns a int value for AUTHENTICATED or FAILED_AUTHENTICATION after pulling the username and password from the request, authenticating the user and setting it into the session.
`static int` | `weak(java.lang.String username, java.lang.String password, javax.servlet.http.HttpServletRequest request)` Returns a int value for AUTHENTICATED or FAILED_AUTHENTICATION after using the username and password to authenticate the user and setting that user information into the session.
`static int` | `weak(java.lang.String username, java.lang.String password, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request)` Returns a int value for AUTHENTICATED or FAILED_AUTHENTICATION after using the username and password to authenticate the user and setting that user information into the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTHENTICATED

    public static final int AUTHENTICATED

  Return value of a successful authentication

### FAILED_AUTHENTICATION

    public static final int FAILED_AUTHENTICATION

  Return value of an unsuccessful authentication

### NEEDS_CREDENTIALS

    public static final int NEEDS_CREDENTIALS

  Deprecated.
  Return value of an unsuccessful authentication due to no credentials

Constructor Detail

### ServletAuthentication

    public ServletAuthentication(java.lang.String usernameField,
                                 java.lang.String passwordField)

  Constructs a ServletAuthentication object which will look for specific form fields inside the HttpRequest for the username and password.

Method Detail

### done

    public void done(javax.servlet.http.HttpServletRequest request)

  This "logs out" the user information in the session by removing the pertinent data from the session, without losing other session data. The same may also be accomplished by invalidating the session.

  Parameters:
    `request` - HttpServletRequest which contains the session

### strong

    public int strong(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Strong authentication using the client-side certificate chain as the credential for authentication against the "weblogic" (default) realm.

  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResponse
  Returns:
    int authentication value
  Throws:
    javax.servlet.ServletException -
    java.io.IOException -

### strong

    public int strong(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response,
                      java.lang.String realmName)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Strong authentication using the client-side certificate chain as the credential for authentication.

  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResponse
    `realmName` - String name of the realm to authenticate against
  Returns:
    int authentication value
  Throws:
    javax.servlet.ServletException -
    java.io.IOException -

### weak

    public int weak(javax.servlet.http.HttpServletRequest request,
                    javax.servlet.http.HttpServletResponse response)
             throws javax.servlet.ServletException,
                    java.io.IOException

  Returns a int value for AUTHENTICATED or FAILED_AUTHENTICATION after pulling the username and password from the request, authenticating the user and setting it into the session.

  This weak() method, unlike the others, is not static. It requires that the ServletAuthentication object be instantiated with the field names for the username and password inside the form.

  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResponse
  Returns:
    int authentication value
  Throws:
    javax.servlet.ServletException -
    java.io.IOException -
  See Also:
    `examples.security.formauth`

### weak

    public static int weak(java.lang.String username,
                           java.lang.String password,
                           javax.servlet.http.HttpServletRequest request)

  Returns a int value for AUTHENTICATED or FAILED_AUTHENTICATION after using the username and password to authenticate the user and setting that user information into the session.

  Parameters:
    `username` - String
    `password` - String
    `request` - HttpServletRequest
  Returns:
    int authentication value

### weak

    public static int weak(java.lang.String username,
                           java.lang.String password,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request)

  Returns a int value for AUTHENTICATED or FAILED_AUTHENTICATION after using the username and password to authenticate the user and setting that user information into the session.

  Parameters:
    `username` - String
    `password` - String
    `session` - HttpSession
  Returns:
    int authentication value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD